Bug 6096 - GetAllShelves has obfuscated return type
Summary: GetAllShelves has obfuscated return type
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Lists (show other bugs)
Version: unspecified
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Colin Campbell
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-06 15:10 UTC by Colin Campbell
Modified: 2013-12-05 20:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed Patch (2.86 KB, patch)
2011-04-06 15:37 UTC, Colin Campbell
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Campbell 2011-04-06 15:10:50 UTC
GetAllShelves suffers from the same problem as caused bug 5529 the scalar return of the db fetchall_arrayref is stored in an array. Not surprising the calling code is outputting debug code!! Refactor the routine to do what we think it is correct
Comment 1 Colin Campbell 2011-04-06 15:37:13 UTC
Created attachment 3755 [details] [review]
Proposed Patch
Comment 2 Frederic Durand 2011-04-07 15:30:46 UTC
Everything looks ok.
Comment 3 Chris Cormack 2011-04-07 23:19:09 UTC
Pushed, please test
Comment 4 Jared Camins-Esakov 2012-12-30 23:59:51 UTC
There have been no further reports of problems so I am marking this bug resolved.